facetspec.h File Reference

Allows lightweight representation of individual facets of simplices. More...

`#include "regina-core.h"`
`#include <cstddef>`

## Classes

struct | regina::FacetSpec< dim >
| A lightweight class used to refer to a particular facet of a particular top-dimensional simplex in a dim-dimensional triangulation. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef FacetSpec< 2 > | regina::Dim2TriangleEdge
| Deprecated typedef for backward compatibility. More...
typedef FacetSpec< 3 > | regina::NTetFace
| Deprecated typedef for backward compatibility. More...
typedef FacetSpec< 4 > | regina::Dim4PentFacet
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Allows lightweight representation of individual facets of simplices.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).